Part Number
    Please enter a valid full or partial manufacturer part number with a minimum of 3 letters or numbers

    7012128 Search Results

    7012128 Datasheets (7)

    Amphenol SV Microwave
    Part ECAD Model Manufacturer Description Datasheet Type PDF PDF Size Page count
    7012-1283
    Amphenol SV Microwave Cable Assemblies - Coaxial Cables (RF) - CBL ASSY SMP-2.92MM JACK-PLUG 6" Original PDF 71.49KB
    7012-1284
    Amphenol SV Microwave Cable Assemblies - Coaxial Cables (RF) - CBL ASSY SMP-2.92MM 12" Original PDF 66.55KB
    7012-1285
    Amphenol SV Microwave Cable Assemblies - Coaxial Cables (RF) - CBL ASSY SMP-2.92MM 24" Original PDF 66.55KB
    7012-1286
    Amphenol SV Microwave Cable Assemblies - Coaxial Cables (RF) - CBL ASSY SMP-2.92MM 24" Original PDF 95.88KB
    7012-1287
    Amphenol SV Microwave Cable Assemblies - Coaxial Cables (RF) - CBL ASSY SMP-2.92MM JACK-PLUG 6" Original PDF 134.21KB
    7012-1288
    Amphenol SV Microwave Cable Assemblies - Coaxial Cables (RF) - CBL ASSY SMP-2.92MM 12" Original PDF 129.27KB
    7012-1289
    Amphenol SV Microwave Cable Assemblies - Coaxial Cables (RF) - CBL ASSY SMP-2.92MM 24" Original PDF 129.27KB
    SF Impression Pixel

    7012128 Price and Stock

    Amphenol SV Microwave

    Amphenol SV Microwave 7012-1283

    SMP Female to 2.92mm Male 6" Cable Assembly for .085 Cable
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    Onlinecomponents.com 7012-1283
    • 1 -
    • 10 $189.72
    • 100 $163.43
    • 1000 $163.43
    • 10000 $163.43
    Buy Now
    Interstate Connecting Components 7012-1283
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Buy Now
    PEI Genesis 7012-1283
    • 1 $0.00
    • 10 $0.00
    • 100 $0.00
    • 1000 $0.00
    • 10000 $0.00
    Buy Now
    FDH Electronics 7012-1283
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Get Quote

    Amphenol SV Microwave 7012-1284

    SMP Female to 2.92mm Male 12" Cable Assembly for .085 Cable
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    Onlinecomponents.com 7012-1284
    • 1 -
    • 10 $198.73
    • 100 $192.88
    • 1000 $192.88
    • 10000 $192.88
    Buy Now
    Interstate Connecting Components 7012-1284
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Buy Now
    PEI Genesis 7012-1284
    • 1 $0.00
    • 10 $0.00
    • 100 $0.00
    • 1000 $0.00
    • 10000 $0.00
    Buy Now
    FDH Electronics 7012-1284
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Get Quote

    Amphenol SV Microwave 7012-1285

    SMP Female to 2.92mm Male 24" Cable Assembly for .085 Cable
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    Onlinecomponents.com 7012-1285
    • 1 -
    • 10 $203.93
    • 100 $177.35
    • 1000 $177.35
    • 10000 $177.35
    Buy Now
    Interstate Connecting Components 7012-1285
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Buy Now
    PEI Genesis 7012-1285
    • 1 $0.00
    • 10 $0.00
    • 100 $0.00
    • 1000 $0.00
    • 10000 $0.00
    Buy Now
    FDH Electronics 7012-1285
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Get Quote

    Amphenol SV Microwave 7012-1287

    SMP Female R/A to 2.92mm Male 6" Cable Assembly for .085 Cable
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    Onlinecomponents.com 7012-1287
    • 1 -
    • 10 $201.54
    • 100 $195.61
    • 1000 $195.61
    • 10000 $195.61
    Buy Now
    Interstate Connecting Components 7012-1287
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Buy Now
    PEI Genesis 7012-1287
    • 1 $0.00
    • 10 $0.00
    • 100 $0.00
    • 1000 $0.00
    • 10000 $0.00
    Buy Now
    FDH Electronics 7012-1287
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Get Quote

    Amphenol SV Microwave 7012-1286

    SMP Female to 2.92mm Male 24" Cable Assembly for .047 Cable
    Distributors Part Package Stock Lead Time Min Order Qty Price Buy
    Onlinecomponents.com 7012-1286
    • 1 -
    • 10 $210.40
    • 100 $182.41
    • 1000 $182.41
    • 10000 $182.41
    Buy Now
    Interstate Connecting Components 7012-1286
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Buy Now
    PEI Genesis 7012-1286
    • 1 $0.00
    • 10 $0.00
    • 100 $0.00
    • 1000 $0.00
    • 10000 $0.00
    Buy Now
    FDH Electronics 7012-1286
    • 1 -
    • 10 -
    • 100 -
    • 1000 -
    • 10000 -
    Get Quote

    7012128 Datasheets Context Search

    Catalog Datasheet Type Document Tags PDF

    RFC-1533

    Abstract: hdi-1450 RFC-1531 RFC-1122 RFC-1212 RF coaxial cable RFC-1222 rfc 1415 RFC-1525 7012128
    Contextual Info: 669-2012:QuarkCatalogTempNew 9/4/12 3:55 PM Page 669 5 RF Coaxial Cable Assemblies ᭤ ᭤ ᭤ ᭤ RoHS High Resolution 1080P and 3-D Ready Gold Plated HDMI Connectors CL3 Fire Rated for In-Wall Use Backward Compatible to 1.1, 1.2 and 1.3 Mfr.’s Type Length


    Original
    1080P HDI-1403 HDI-1406 HDI-1410 HDI-1412 HDI-1415 HDI-1420 HDI-1425 HDI-1430 HDI-1450 RFC-1533 RFC-1531 RFC-1122 RFC-1212 RF coaxial cable RFC-1222 rfc 1415 RFC-1525 7012128 PDF